import { createApp } from 'vue'
import App from './App.vue'
import { createPinia } from 'pinia'
import router from './router'
import 'lib-flexible'
import './assets/base.css'
import 'vant/lib/index.css'
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'
import VueHashCalendar from 'vue3-hash-calendar'
import 'vue3-hash-calendar/es/index.css'
import {
    Tabbar,
    TabbarItem,
    Swipe,
    SwipeItem,
    NavBar,
    Form,
    Field,
    Cell,
    CellGroup,
    Popup,
    Picker,
    Calendar,
    Button,
    Toast,
    Uploader,
    Icon,
    Cascader,
    SwipeCell,
    Badge,
    NoticeBar,
    Collapse,
    CollapseItem,
    DatePicker
} from 'vant'

const app = createApp(App)
const pinia = createPinia()
pinia.use(piniaPluginPersistedstate)

app.use(router)
   .use(pinia)
   .use(Tabbar)
   .use(TabbarItem)
   .use(Swipe)
   .use(SwipeItem)
   .use(NavBar)
   .use(Form)
   .use(Field)
   .use(Cell)
   .use(CellGroup)
   .use(Popup)
   .use(Picker)
   .use(Calendar)
   .use(Button)
   .use(Toast)
   .use(Uploader)
   .use(Icon)
   .use(VueHashCalendar)
   .use(Cascader)
   .use(SwipeCell)
   .use(Badge)
   .use(NoticeBar)
   .use(Collapse)
   .use(CollapseItem)
   .use(DatePicker)

app.mount('#app')
